aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* xf86-video-armsoc: add meson supportakuster/armsoc-mesonArmin Kuster2018-07-253-0/+336
| | | | | | segaults currently Signed-off-by: Armin Kuster <akuster808@gmail.com>
* mozjs: add support for mips64-n32Hongxu Jia2018-07-202-0/+86
| | | | | | | | | | | | - Tweak configure for mips64-n32 - Disable gold linker which not supported by mips64-n32 - Since n32 and n64 use the same registers, add n32 to n64's register definition. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ctdb: Has been integrated into samba. So, there is no need to maitain this ↵leimaohui2018-07-204-123/+0
| | | | | | | recipe anymore. Signed-off-by: Lei Maohui <leimaohui@cn.fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ser2net: upgrade to version 3.5Sean Nyekjaer2018-07-201-2/+2
| | | | | | | 3.4 -> 3.5 Signed-off-by: Sean Nyekjaer <sean.nyekjaer@prevas.dk> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* fio: Upgrade to 3.7Mingli Yu2018-07-202-4/+101
| | | | | | | | | | | | | * Licence-Update: Address update in COPYING * Add patch 0001-update-the-interpreter-paths.patch and add python and bash to RDEPENDS_${PN} to fix below QA issues: ERROR: fio-3.7-r0 do_package_qa: QA Issue: /usr/bin/fiologparser.py contained in package fio requires /usr/bin/python2.7, but no providers found in RDEPENDS_fio? [file-rdeps] ERROR: fio-3.7-r0 do_package_qa: QA Issue: /usr/bin/genfio contained in package fio requires /usr/bin/bash, but no providers found in RDEPENDS_fio? [file-rdeps] Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* liblockfile: Upgrade to 1.14Mingli Yu2018-07-2010-178/+155
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * Licence-Update: - Copyright years are updated from 2011 to 2016 - The text as below "On Debian GNU/Linux systems, the complete text of the GNU Lesser General \ Public License can be found in `/usr/share/common-licenses/LGPL-2'. You can \ also find a copy on the GNU website at http://www.gnu.org" updated to "The complete LGPL-2 license is included in the licenses/ directory." * Compared to liblockfile_1.09.orig.tar.gz unpack to ${WORKDIR}/${BPN}-${PV}, liblockfile_1.14.orig.tar.gz unpack to ${WORKDIR}/${BPN} now. Add S = "${WORKDIR}/${BPN}" to fix the gap * Remove two backported patch - install.patch - ldflags.patch * Use DESTDIR instead of the previous ROOT and add patch 0001-Makefile.in-add-DESTDIR.patch to fix below issue: | install -d -m 755 -g root -p /usr/include | install -d -m 755 -g root -p /usr/lib | install -d -m 755 -g root -p /usr/bin | install -m 755 nfslock.so.0.1 /usr/lib | install -d -m 755 -g root -p /usr/share/man/man1 | install: cannot create regular file '/usr/lib/nfslock.so.0.1': Permission denied | Makefile:78: recipe for target 'install_nfslib' failed | make: *** [install_nfslib] Error 1 | make: *** Waiting for unfinished jobs.... | install -d -m 755 -g root -p /usr/share/man/man3 | install -m 644 lockfile.h maillock.h /usr/include | install: cannot create regular file '/usr/include/lockfile.h': Permission denied | install: cannot create regular file '/usr/include/maillock.h': Permission denied | Makefile:64: recipe for target 'install_common' failed | make: *** [install_common] Error 1 * Rework patch: - Rework liblockfile-fix-nfslib-and-soname.patch to 0001-Makefile.in-install-nfslock.so-and-nfslock.so.0.patch as the previous patch partly in upstream - liblockfile-fix-install-so-to-man-dir.patch Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-pyzmq, python3-pyzmq: update to 17.1.0Pascal Bach2018-07-204-29/+23
| | | | | | | | Also the package is licensed under both BSD and LGPL-3.0. This the license checksum was updated to reflect this. Signed-off-by: Pascal Bach <pascal.bach@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libiio: fix build of python bindinsNeil Armstrong2018-07-201-1/+2
| | | | | | | | | | | | In the actual form, the python bindings are never built since the recipe does not depend on python, thus the cmake script does not detect python and does not build the bindings. Add a summy PACKAGECONFIG for the python bindings to make it simpler to disable. Signed-off-by: Neil Armstrong <narmstrong@baylibre.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libnice: Upgrade to 0.1.14Carlos Rafael Giani2018-07-201-8/+10
| | | | | | | | | | | This is the minimum version needed by the new GStreamer 1.14 WebRTC support (not to be confused with the WebRTC DSP support). New packageconfigs were added to make the GStreamer 0.10 and 1.0 support configurable. Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cppzmq: use cmake to install the packagePascal Bach2018-07-201-4/+1
| | | | | | | | | | | This way also the required cmake configs are installed so other packages can find it. It seems also cleaner to use the upstream mechanism than to have our own install script. Signed-off-by: Pascal Bach <pascal.bach@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cryptsetup: Upgrade to 2.0.3Mingli Yu2018-07-201-5/+7
| | | | | | | | | | | | | * Update the homepage to https://gitlab.com/cryptsetup/cryptsetup * Add json-c to DEPENDS as cryptsetup requires the json-c library for JSON data processing since cryptsetup 2.0.0 per "The LUKS2 format and features" part of https://mirrors.edge.kernel.org/pub/linux/utils/cryptsetup/v2.0/v2.0.0-ReleaseNotes * Add file /usr/lib/tmpfiles.d/cryptsetup.conf to FILES_${PN} when systemd enabled in DISTRO_FEATURES Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* udisks2: 2.7.6 -> 2.7.7Changqing Li2018-07-202-37/+1
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* tclap: upgrade 1.2.1 -> 1.2.2Changqing Li2018-07-201-2/+2
| | | | | | | License-Update: copyright year and owner update Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-pygobject: 3.28.0 -> 3.28.3Changqing Li2018-07-201-2/+2
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pps-tools: 0.0.0+gitX -> 1.0.2Changqing Li2018-07-201-2/+3
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* oprofile: 1.1.0 -> 1.1.2Changqing Li2018-07-205-63/+43
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* numactl: 2.0.11 -> 2.0.12Changqing Li2018-07-203-32/+39
| | | | | | | | | License-Update: license file name updated format changed, but most content is remain add mail of related person. Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* multipath-tools: upgrade 0.7.1 -> 0.7.7Changqing Li2018-07-2041-706/+4123
| | | | | | | | | | | | 1. Backport patches from fedora: git://pkgs.fedoraproject.org/rpms/device-mapper-multipath - 0001 ~ 0028 2. drop obsolute patch and rebase still needed patch rebased patch: 0029~0031 Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mm-common: 0.9.11 -> 0.9.12Changqing Li2018-07-202-9/+9
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libblockdev: 2.16 -> 2.18Changqing Li2018-07-202-35/+41
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vim: provide xxdRasmus Villemoes2018-07-201-0/+2
| | | | | | | | | | The xxd tool is quite useful by itself. For example, building U-boot using the CONFIG_USE_DEFAULT_ENV_FILE option requires that the host provides xxd, and it's nicer to be able to put xxd-native rather than vim-native in that recipe's dependencies. Signed-off-by: Rasmus Villemoes <rasmus.villemoes@prevas.dk> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xf86-video-ati: 7.8.0 -> 18.0.1Changqing Li2018-07-201-2/+4
| | | | | Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-py.inc: add ${PYTHON_PN}-setuptools-scm-native to DEPENDSMingli Yu2018-07-201-0/+1
| | | | | | | | Add ${PYTHON_PN}-setuptools-scm-native to DEPENDS to avoid download during do_compile Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libmxml: update to current git master (ba3cca8)Richard Leitner2018-07-209-295/+41
| | | | | | | | | | | | Update the Mini-XML library to a 2.12 pre-release version which integrates the needed patches for OE. Therefore remove those patches from here. Furthermore avoid using autoheader as suggested by mxml's author: https://github.com/michaelrsweet/mxml/pull/223 Signed-off-by: Richard Leitner <richard.leitner@skidata.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* tinyalsa: Add -fPIC to compile flagsCarlos Rafael Giani2018-07-201-0/+6
| | | | | Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* bonnie++: Upgrade to 1.04Mingli Yu2018-07-202-23/+3
| | | | | | | | Remove the patch gcc-4.3-fixes.patch as build successfully without it. Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libgnome-keyring: Force ARM ISA on arm arches <= v5Khem Raj2018-07-161-0/+12
| | | | | | | | | when global ISA is selected to be thumb then the build fails since it will use thumb1 on these machines and fails to compile, it however compiles fine with armv7+ with thumb2 hence limit the fix to armv4/armv5 Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nativesdk-lvm2: Fix installed-vs-shipped errorsOvidiu Panait2018-07-161-0/+3
| | | | | | | | | | | | | | | | | | | | | | | Fix the following build errors: $ bitbake nativesdk-lvm2 ERROR: nativesdk-lvm2-2.02.177-r0 do_package: QA Issue: nativesdk-lvm2: Files/directories were installed but not shipped in any package: /etc /etc/lvm /etc/lvm/lvmlocal.conf /etc/lvm/lvm.conf /etc/lvm/profile /etc/lvm/profile/metadata_profile_template.profile /etc/lvm/profile/cache-smq.profile /etc/lvm/profile/thin-generic.profile /etc/lvm/profile/command_profile_template.profile /etc/lvm/profile/cache-mq.profile /etc/lvm/profile/thin-performance.profile /etc/lvm/profile/lvmdbusd.profile ... nativesdk-lvm2: 12 installed and not shipped files. [installed-vs-shipped] Signed-off-by: Ovidiu Panait <ovidiu.panait@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* polkit: 0.113 -> 0.115Hongxu Jia2018-07-163-41/+43
| | | | | | | | | | | | - Rebase patches to 0.115 0001-make-netgroup-support-configurable.patch polkit-1_pam.patch - Add --disable-libelogind which OE does not have recipe libelogind Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mozjs: 17.0.0 -> 52.8.1Hongxu Jia2018-07-1621-5709/+514
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | - Refactor recipe 52.8.1 0001 ~ 0006 - Rebase patches to 52.8.1; 0001-js.pc.in-do-not-include-RequiredDefines.h-for-depend.patch 0010-fix-cross-compilation-on-i586-targets.patch' - Drop 0001-regenerate-configure.patch and everything works well - Drop Manually_mmap_heap_memory_esr17.patch which is backported - Drop obsolete patches 0001-compare-the-first-character-of-string-to-be-null-or-.patch 0001-mozjs17.0.0-fix-the-compile-bug-of-powerpc.patch 0002-Move-JS_BYTES_PER_WORD-out-of-config.h.patch 0004-mozbug746112-no-decommit-on-large-pages.patch 0005-aarch64-64k-page.patch fix_milestone_compile_issue.patch fix-the-compile-error-of-powerpc64.patch Update-Double-Conversion.patch and Update-the-double-conversion-update-script.patch - Set DISABLE_STATIC = "" to build without option `--disable-static' - Set musl patch (0006-support-musl.patch) with musl override. Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nanomsg: add recipeCarlos Rafael Giani2018-07-151-0/+28
| | | | | | | | | nanomsg is a socket library that provides several common communication patterns. It is a rewrite of the ZeroMQ library. For differences between ZeroMQ and nanomsg, consult https://nanomsg.org/documentation-zeromq.html Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* rsyslog: Disable valgrind support on risv64Khem Raj2018-07-141-0/+1
| | | | | | valgrind is not yet working on risc-v arch Signed-off-by: Khem Raj <raj.khem@gmail.com>
* blueman: Package orphan'ed files when systemd is enabledKhem Raj2018-07-141-0/+1
| | | | | | | | | | Fixes ERROR: blueman-2.0.5+gitAUTOINC+c4a03417e8-r0 do_package: QA Issue: blueman: Files/directories were installed but not shipped in any package: /usr/lib/systemd/system /usr/lib/systemd/system/blueman-mechanism.service Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mbedtls: Upgrade to 2.11.0Khem Raj2018-07-141-3/+3
| | | | | | - Use libs section, libdevel is not common Signed-off-by: Khem Raj <raj.khem@gmail.com>
* volume-key: Upgrade to 0.3.10Khem Raj2018-07-142-16/+15
| | | | | | Add dependency on swig-native which was missing Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libkcapi: Add new recipe for v1.1.1Krzysztof Kozlowski2018-07-144-0/+183
| | | | | | | | Add new recipe with libkcapi v1.1.1, Linux Kernel Crypto API User Space Interface Library. Signed-off-by: Krzysztof Kozlowski <krzk@kernel.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* augeas: Upgrade to 1.10.1Mingli Yu2018-07-143-4/+6
| | | | | | | | | | | | | | | | | | | * Add EXTRA_AUTORECONF += "-I ${S}/gnulib/m4" to fix below compile error: | In file included from ../../../augeas-1.10.1/gnulib/lib/printf-args.h:41, | from ../../../augeas-1.10.1/gnulib/lib/printf-args.c:29: | ./wchar.h:571:6: error: #if with no expression | # if | ^ | In file included from ../../../augeas-1.10.1/gnulib/lib/mbrtowc.c:21: | ./wchar.h:571:6: error: #if with no expression | # if | ^ | Makefile:1581: recipe for target 'printf-args.lo' failed | make[4]: *** [printf-args.lo] Error 1 Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* glibmm: Upgrade to 2.56.0Mingli Yu2018-07-142-43/+2
| | | | | | | * Remove the backported patch 0001-Glib-Threads-Private-Fix-gobj.patch Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ell: update patch status to backportMartin Hundebøll2018-07-121-1/+1
| | | | | Signed-off-by: Martin Hundebøll <martin@geanix.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ell: update to 0.6Martin Hundebøll2018-07-123-43/+44
| | | | | | | | Remove upstreamed patch to fix musl build, and replace with another (submitted) patch to fix a new musl issue. Signed-off-by: Martin Hundebøll <martin@geanix.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* openhpi: close socket in saHpiSessionCloseOvidiu Panait2018-07-122-0/+38
| | | | | | | | | | | | Upstream issue: https://github.com/open-hpi/openhpi/issues/1918 The saHpiSessionClose doesn't close the socket and leaks the file descriptor. Signed-off-by: Catalin Enache <catalin.enache@windriver.com> Signed-off-by: Ovidiu Panait <ovidiu.panait@windriver.com> Signed-off-by: Yi Zhao <yi.zhao@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xf86-video-armsoc: add new packageArmin Kuster2018-07-121-0/+14
| | | | | Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* openbox: fix runtime error for missing python and pyXDGArmin Kuster2018-07-121-1/+2
| | | | | | | | | | | | Openbox-Message: Cannot set locale modifiers for the X server. /usr/bin/env: 'python': No such file or directory /usr/libexec/openbox-xdg-autostart needs python, add rdepends Also missing rdepends on pyXDG Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pyxdg: Add new packageArmin Kuster2018-07-121-0/+12
| | | | | | | needed for openbox Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nmap: update to 7.70Armin Kuster2018-07-121-3/+3
| | | | | | | Update LIC_FILES_CHKSUM for yr change Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ntop: fix so generation in plugins/Makefile.amRobert Yang2018-07-122-0/+75
| | | | | | | | | | Fixed build with automake 1.16.1: | i586-poky-linux-gcc: error: netflowPlugin.o: No such file or directory | i586-poky-linux-gcc: error: unrecognized command line option '-flat_namespace'; did you mean '-Wnamespaces'? | i586-poky-linux-gcc: fatal error: no input files Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* sblim-sfcb: fix sfcbinst2mof_DEPENDENCIES in Makefile.amRobert Yang2018-07-122-0/+32
| | | | | | | | | Fixed build with automake 1.16.1: /path/to/i586-poky-linux/8.1.0/ld: cannot find -lsfcBrokerCore collect2: error: ld returned 1 exit status Signed-off-by: Robert Yang <liezhi.yang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-migrate: update to version 2.2.1Derek Straka2018-07-123-2/+2
| | | | | Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-flask: update to version 1.0.2Derek Straka2018-07-123-3/+3
| | | | | | | | | License-Update: Copyright authors changed along with formatting of the license. License terms remain the same Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-django: update to version 1.11.14Derek Straka2018-07-123-2/+4
| | | | | | | Update the upstream check regex to restrict to version 1.X.Y Signed-off-by: Derek Straka <derek@asterius.io> Signed-off-by: Khem Raj <raj.khem@gmail.com>